#!/usr/bin/env python2
# -*- coding: utf-8 -*-
"""
Created on Fri Oct 12 17:41:19 2018

@author: chauchat
"""

import numpy as np
from pylab import *
import matplotlib 
matplotlib.rc('xtick', labelsize=20) 
matplotlib.rc('ytick', labelsize=20) 
font = {'family' : 'sans-serif',
        'weight' : 'normal',
        'size'   : 22}

matplotlib.rc('font', **font)
#
# read data
#
#BartonLin1955Run31_Fig16-3_Lyn2008.txt
#BartonLin1955Run36_Fig16-3_Lyn2008.txt
#CellinoAndGraf1999_Fig16-3_Lyn2008.txt
#Lyn1988EQ1665_Fig16-3_Lyn2008.txt
#Lyn1988_Fig16-3_Lyn2008.txt
Lyn1988 = np.loadtxt('Lyn1988_Fig16-3_Lyn2008.txt', delimiter=',')
Lyn1988EQ1665 = np.loadtxt('Lyn1988EQ1665_Fig16-3_Lyn2008.txt', delimiter=',')
CellinoAndGraf1999 = np.loadtxt('CellinoAndGraf1999_Fig16-3_Lyn2008.txt', delimiter=',')
BartonLin1955Run36 = np.loadtxt('BartonLin1955Run36_Fig16-3_Lyn2008.txt', delimiter=',')
BartonLin1955Run31 = np.loadtxt('BartonLin1955Run31_Fig16-3_Lyn2008.txt', delimiter=',')

#BartonLin1955Run36Average_Fig16-3_Lyn2008.txt
#Coleman1970Average_Fig16-3_Lyn2008.txt
#Lyn1988Average_Fig16-3_Lyn2008.txt
BartonLin1955Run36Average = np.loadtxt('BartonLin1955Run36Average_Fig16-3_Lyn2008.txt', delimiter=',')
Coleman1970Average = np.loadtxt('Coleman1970Average_Fig16-3_Lyn2008.txt', delimiter=',')
Lyn1988Average = np.loadtxt('Lyn1988Average_Fig16-3_Lyn2008.txt', delimiter=',')

suspension = np.linspace(0,1,100)

#clf()
figure(num=1, figsize=(12, 12),dpi=60, facecolor='w', edgecolor='w')

x_ticks = np.array([0., 0.2, 0.4, 0.6, 0.8,1])
x_labels = ['0','0.2', '0.4', '0.6', '0.8', '1']


ms=12
lw=3
#
# plot
#
y_ticks = np.array([0, 0.5, 1, 1.5])
y_labels = ['0', '0.5','1', '1.5']

ax2=subplot(2,1,1)
#title('b)')
ax2.text(0.96, 1.375, 'a)')
p1 = ax2.plot(Lyn1988Average[:,0],Lyn1988Average[:,1],'sk',label="Lyn (1988) EQ2565",markersize=ms,mew=lw)
p2 = ax2.plot(BartonLin1955Run36Average[:,0],BartonLin1955Run36Average[:,1],'^k',fillstyle='none',label="Barton and Lin (1955) Run36",markersize=ms,mew=lw)
p3 = ax2.plot(Coleman1970Average[:,0],Coleman1970Average[:,1],'+k',label="Coleman (1970)",markersize=ms,mew=lw)
l1 = ax2.plot(suspension,1./(1+2*suspension*suspension),'-k',label="van Rijn (1984)",linewidth=lw)
ax2.plot([0,1],[1,1],':k')

#handles, labels = ax4.get_legend_handles_labels()
#ax4.legend(handles[0:3], labels[0:3],loc=1,prop={'size':16})

xlabel(r'$w_s/u_*$')
ylabel(r'$\overline{S_c}$')
ax2.axis([0,1e0,0,1.5])
xticks(x_ticks, x_labels)
yticks(y_ticks, y_labels)

ax1=subplot(2,1,2)

y_ticks = np.array([0, 0.5, 1, 1.5, 2, 2.5])
y_labels = ['0', '0.5','1', '1.5', '2', '2.5']

ax1.text(0.96, 2.3, 'b)')
p1 = ax1.plot(Lyn1988[:,0],Lyn1988[:,1],'sk',label="Lyn (1988) EQ2565",markersize=ms,mew=lw)
p2 = ax1.plot(Lyn1988EQ1665[:,0],Lyn1988EQ1665[:,1],'^k',label="Lyn (1988) EQ1665",markersize=ms,mew=lw)
p3 = ax1.plot(CellinoAndGraf1999[:,0],CellinoAndGraf1999[:,1],'ok',fillstyle='none',label="Cellino and Graf (1999)",markersize=ms,mew=lw)
p4 = ax1.plot(BartonLin1955Run31[:,0],BartonLin1955Run31[:,1],'sk',fillstyle='none',label="Barton and Lin (1955) Run31",markersize=ms,mew=lw)
p5 = ax1.plot(BartonLin1955Run36[:,0],BartonLin1955Run36[:,1],'^k',fillstyle='none',label="Barton and Lin (1955) Run36",markersize=ms,mew=lw)

ax1.plot([0,1],[1,1],':k')
#handles, labels = ax1.get_legend_handles_labels()
#ax1.legend(handles, labels,loc=2,prop={'size':16})
xlabel(r"$z/H_f$")
ylabel(r"$S_c$")
ax1.axis([0.,1,0.,2.5])
xticks(x_ticks, x_labels)
yticks(y_ticks, y_labels)

savefig('FigureLyn2008.eps', facecolor='w', edgecolor='w', format='eps')


show()        
